ros-kinetic-roscpp (1.12.7-0wily) wily; urgency=high

  * move connection specific log message to new name roscpp_internal.connections (#980 <https://github.com/ros/ros_comm/pull/980>)
  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)
  * fix UDP block number when EAGAIN or EWOULDBLOCK (#957 <https://github.com/ros/ros_comm/issues/957>)
  * fix return code of master execute function (#938 <https://github.com/ros/ros_comm/pull/938>)
  * change WallTimerEvent from class to struct (#924 <https://github.com/ros/ros_comm/pull/924>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-roscpp (1.12.6-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-roscpp (1.12.5-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-roscpp (1.12.4-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-roscpp (1.12.3-0wily) wily; urgency=high

  * fix multi-threaded spinning (#867 <https://github.com/ros/ros_comm/pull/867>)
  * fix static destruction order (#871 <https://github.com/ros/ros_comm/pull/871>)
  * throw exception on ros::init with empty node name (#894 <https://github.com/ros/ros_comm/pull/894>)
  * improve debug message when queue is full (#818 <https://github.com/ros/ros_comm/issues/818>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-roscpp (1.12.2-0wily) wily; urgency=high

  * improve stacktrace for exceptions thrown in callbacks (#811 <https://github.com/ros/ros_comm/pull/811>)
  * fix segfault if creating outgoing UDP transport fails (#807 <https://github.com/ros/ros_comm/pull/807>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-roscpp (1.12.1-0wily) wily; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-roscpp (1.12.0-0wily) wily; urgency=high

  * improve TopicManager::instance (#770 <https://github.com/ros/ros_comm/issues/770>)
  * change return value of param() to bool (#753 <https://github.com/ros/ros_comm/issues/753>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-roscpp (1.11.18-0wily) wily; urgency=high

  * fix CMake warning about non-existing targets

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-roscpp (1.11.17-0wily) wily; urgency=high

  * fix order of argument in SubscriberLink interface to match actual implemenation (#701 <https://github.com/ros/ros_comm/issues/701>)
  * add method for getting all the parameters from the parameter server as implemented in the rospy client (#739 <https://github.com/ros/ros_comm/issues/739>)
  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)
  * fix max elements param for statistics window (#750 <https://github.com/ros/ros_comm/issues/750>)
  * improve NodeHandle constructor documentation (#692 <https://github.com/ros/ros_comm/issues/692>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-roscpp (1.11.16-0wily) wily; urgency=high

  * add getROSArg function (#694 <https://github.com/ros/ros_comm/pull/694>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-roscpp (1.11.15-0wily) wily; urgency=high

  * fix crash in onRetryTimer() callback (#577 <https://github.com/ros/ros_comm/issues/577>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-roscpp (1.11.14-0wily) wily; urgency=high

  * add optional reset argument to Timer::setPeriod() (#590 <https://github.com/ros/ros_comm/issues/590>)
  * add getParam() and getParamCached() for float (#621 <https://github.com/ros/ros_comm/issues/621>, #623 <https://github.com/ros/ros_comm/issues/623>)
  * use explicit bool cast to compile with C++11 (#632 <https://github.com/ros/ros_comm/pull/632>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-roscpp (1.11.13-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-roscpp (1.11.12-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-roscpp (1.11.11-0wily) wily; urgency=high

  * fix memory leak in transport constructor (#570 <https://github.com/ros/ros_comm/pull/570>)
  * fix computation of stddev in statistics (#556 <https://github.com/ros/ros_comm/pull/556>)
  * fix empty connection header topic (#543 <https://github.com/ros/ros_comm/issues/543>)
  * alternative API to get parameter values (#592 <https://github.com/ros/ros_comm/pull/592>)
  * add getCached() for float parameters (#584 <https://github.com/ros/ros_comm/pull/584>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-roscpp (1.11.10-0wily) wily; urgency=high

  * fix various defects reported by coverity
  * fix comment (#529 <https://github.com/ros/ros_comm/issues/529>)
  * improve Android support (#518 <https://github.com/ros/ros_comm/pull/518>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-roscpp (1.11.9-0wily) wily; urgency=high

  * add accessor to expose whether service is persistent (#489 <https://github.com/ros/ros_comm/issues/489>)
  * populate delivered_msgs field of TopicStatistics message (#486 <https://github.com/ros/ros_comm/issues/486>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.8-0wily) wily; urgency=high

  * fix C++11 compatibility issue (#483 <https://github.com/ros/ros_comm/issues/483>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.7-0wily) wily; urgency=high

  * fix segfault due to accessing a NULL pointer for some network interfaces (#465 <https://github.com/ros/ros_comm/issues/465>) (regression from 1.11.6)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.6-0wily) wily; urgency=high

  * check ROS_HOSTNAME for localhost / ROS_IP for 127./::1 and prevent connections from other hosts in that case (#452 <https://github.com/ros/ros_comm/issues/452>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.5-0wily) wily; urgency=high

  * improve handling dropped connections (#434 <https://github.com/ros/ros_comm/issues/434>)
  * add header needed for Android (#441 <https://github.com/ros/ros_comm/issues/441>)
  * fix typo for parameter used for statistics (#448 <https://github.com/ros/ros_comm/issues/448>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.4-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.3-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.2-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.1-0wily) wily; urgency=high

  * update API to use boost::signals2 (#267 <https://github.com/ros/ros_comm/issues/267>)
  * only update param cache when being subscribed (#351 <https://github.com/ros/ros_comm/issues/351>)
  * ensure to remove delete parameters completely
  * invalidate cached parent parameters when namespace parameter is set / changes (#352 <https://github.com/ros/ros_comm/issues/352>)
  * add optional topic/connection statistics (#398 <https://github.com/ros/ros_comm/issues/398>)
  * add transport information in SlaveAPI::getBusInfo() for roscpp & rospy (#328 <https://github.com/ros/ros_comm/issues/328>)
  * add AsyncSpinner::canStart() to check if a spinner can be started

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-roscpp (1.11.0-0wily) wily; urgency=high

  * allow getting parameters with name '/' (#313 <https://github.com/ros/ros_comm/issues/313>)
  * support for /clock remapping (#359 <https://github.com/ros/ros_comm/issues/359>)
  * suppress boost::signals deprecation warning (#362 <https://github.com/ros/ros_comm/issues/362>)
  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-roscpp (1.10.0-0wily) wily; urgency=high

  * remove use of __connection header

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-kinetic-roscpp (1.9.54-0wily) wily; urgency=high

  * fix return value of pubUpdate() (#334 <https://github.com/ros/ros_comm/issues/334>)
  * fix handling optional third xml rpc response argument (#335 <https://github.com/ros/ros_comm/issues/335>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-kinetic-roscpp (1.9.53-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-kinetic-roscpp (1.9.52-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-roscpp (1.9.51-0wily) wily; urgency=high

  * move several client library independent parts from ros_comm into roscpp_core, split rosbag storage specific stuff from client library usage (#299 <https://github.com/ros/ros_comm/issues/299>)
  * add missing version dependency on roscpp_core stuff (#299 <https://github.com/ros/ros_comm/issues/299>)
  * remove log4cxx dependency from roscpp, using new agnostic interface from rosconsole
  * fix compile problem with gcc 4.4 (#302 <https://github.com/ros/ros_comm/issues/302>)
  * fix clang warnings
  * fix usage of boost include directories

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-roscpp (1.9.50-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.49-0wily) wily; urgency=high

  * add rosparam getter/setter for std::vector and std::map (#279 <https://github.com/ros/ros_comm/issues/279>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.48-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.47-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.46-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.45-0wily) wily; urgency=high

  * improve handling of UDP transport, when fragmented packets are lost or arive out-of-order the connection is not dropped anymore, onle a single message is lost (#226 <https://github.com/ros/ros_comm/issues/226>)
  * fix missing generation of constant definitions for services (ros/gencpp#2 <https://github.com/ros/gencpp/issues/2>)
  * fix restoring thread context when callback throws an exception (#219 <https://github.com/ros/ros_comm/issues/219>)
  * fix calling PollManager::shutdown() repeatedly (#217 <https://github.com/ros/ros_comm/issues/217>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.44-0wily) wily; urgency=high

  * fix install destination for dll's under Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.43-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-kinetic-roscpp (1.9.42-0wily) wily; urgency=high

  * improve speed of message generation in dry packages (#183 <https://github.com/ros/ros_comm/issues/183>)
  * fix roscpp service call deadlock (#149 <https://github.com/ros/ros_comm/issues/149>)
  * fix freezing service calls when returning false (#168 <https://github.com/ros/ros_comm/issues/168>)
  * fix error message publishing wrong message type (#178 <https://github.com/ros/ros_comm/issues/178>)
  * fix missing explicit dependency on pthread (#135 <https://github.com/ros/ros_comm/issues/135>)
  * fix compiler warning about wrong comparison of message md5 hashes (#165 <https://github.com/ros/ros_comm/issues/165>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-roscpp (1.9.41-0wily) wily; urgency=high

  * allow sending data exceeding 2GB in chunks (#4049 <https://code.ros.org/trac/ros/ticket/4049>)
  * update getParam() doc (#1460 <https://code.ros.org/trac/ros/ticket/1460>)
  * add param::get(float) (#3754 <https://code.ros.org/trac/ros/ticket/3754>)
  * update inactive assert when publishing message with md5sum "*", update related tests (#3714 <https://code.ros.org/trac/ros/ticket/3714>)
  * fix ros master retry timeout (#4024 <https://code.ros.org/trac/ros/ticket/4024>)
  * fix inactive assert when publishing message with wrong type (#3714 <https://code.ros.org/trac/ros/ticket/3714>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 08:00:00 -0000

ros-kinetic-roscpp (1.9.40-0wily) wily; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-kinetic-roscpp (1.9.39-0wily) wily; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 08:00:00 -0000


